# Update certificate signing request's friendly name

This function changes a certificate signing request's (CSR) friendly name.

Important:

* You must call either the friendly_name or id parameter.
* When you disable the Calendars and Contacts, Receive Mail, Web Disk, Webmail, and Web Server roles, the system disables this function.

Endpoint: GET /SSL/set_csr_friendly_name
Version: 11.138.0.6
Security: BasicAuth

## Query parameters:

  - `friendly_name` (string, required)
    The CSR's friendly name.
    Example: "TestCSR"

  - `id` (string, required)
    The CSR's ID.

Note:

To retrieve a CSR's ID, use the UAPI list_csrs function.
    Example: "example_com_eda9d_543fb_a3009b4b01a592390866ab3a47c0df18"

  - `new_friendly_name` (string, required)
    The CSR's new friendly name.
    Example: "TestCSR2"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_csr_friendly_name"

  - `module` (string)
    The name of the module called.
    Example: "SSL"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


